<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <?php if (themify_load_content_only()): ?>
        <head>
            <?php
            /** Themify Default Variables
             *  @var object */
            global $themify;
            ?>
            <meta charset="<?php bloginfo('charset'); ?>">

            <!-- wp_header -->
            <?php wp_head(); ?>

        </head>

        <body <?php body_class(); ?>>
            <?php themify_body_start(); // hook  ?>
            <div id="pagewrap" class="hfeed site">

				<?php if ( themify_theme_show_area( 'header' ) && themify_theme_do_not_exclude_all( 'header' ) ) : ?>
                <div id="headerwrap" <?php themify_theme_header_background() ?>>
				
                    <?php   
                        $show_mobile_menu = themify_theme_do_not_exclude_all( 'mobile-menu' );
                        $show_menu_navigation = $show_mobile_menu && themify_theme_show_area( 'menu_navigation' );
					?>

                    <?php themify_header_before(); // hook  ?>

                    <header id="header" class="pagewidth clearfix" itemscope="itemscope" itemtype="https://schema.org/WPHeader">

                        <?php themify_header_start(); // hook  ?>

						<div class="header-bar">
						
							<?php if ( themify_theme_show_area( 'site_logo' ) ) : ?>
								<?php echo themify_logo_image('site_logo'); ?>
							<?php endif; ?>

							<?php if ( themify_theme_show_area( 'site_tagline' ) ) : ?>
								<?php if ($site_desc = get_bloginfo('description')) : ?>
									<?php global $themify_customizer; ?>
									<div id="site-description" class="site-description"><?php echo class_exists('Themify_Customizer') ? $themify_customizer->site_description($site_desc) : $site_desc; ?></div>
								<?php endif; ?>
							<?php endif; ?>

						</div>
						<!-- /.header-bar -->

                        <a id="menu-icon" href="#"><span class="menu-icon-inner"></span></a>

                        <div id="mobile-menu" class="sidemenu sidemenu-off">
							
							<?php themify_mobile_menu_start(); // hook ?>

							<div class="navbar-wrapper clearfix">

							<?php if ( themify_theme_show_area( 'search_form' ) ) : ?>
                                <div id="searchform-wrap">
                                    <?php get_search_form(); ?>
                                </div>
                                <!-- /#searchform-wrap -->
							<?php endif; // exclude search form ?>

							<?php if ( themify_theme_show_area( 'social_widget' ) || themify_theme_show_area( 'rss' ) ) : ?>
								<div class="social-widget">
									<?php if ( themify_theme_show_area( 'social_widget' ) ) : ?>
										<?php dynamic_sidebar('social-widget'); ?>
									<?php endif; // exclude social widget ?>

									<?php if ( themify_theme_show_area( 'rss' ) ) : ?>
										<?php if (!themify_check('setting-exclude_rss')) : ?>
											<div class="rss"><a href="<?php themify_theme_feed_link(); ?>" class="hs-rss-link"></a></div>
										<?php endif; ?>
									<?php endif; // exclude RSS ?>
								</div>
								<!-- /.social-widget -->
							<?php endif; // exclude social widget or RSS icon ?>

							<?php if ( $show_menu_navigation ) : ?>
								<nav id="main-nav-wrap" class="clearfix" itemscope="itemscope" itemtype="https://schema.org/SiteNavigationElement">
									<?php themify_menu_nav(); ?>
									<!-- /#main-nav -->
								</nav>
							<?php endif; // exclude menu navigation ?>

							</div>
							
                            <a id="menu-icon-close" href="#mobile-menu"></a>
							<!-- /#menu-icon-close -->

							<?php themify_mobile_menu_end(); // hook ?>

                       </div>
                        <!-- /#mobile-menu -->

						<?php
							// If there's a header background slider, show it.
							global $themify_bg_gallery;
							$themify_bg_gallery->create_controller();
						?>
						<!-- /#gallery-controller -->

                        <?php themify_header_end(); // hook  ?>

                    </header>
                    <!-- /#header -->

                    <?php themify_header_after(); // hook  ?>

                </div>
                <!-- /#headerwrap -->
				
            <?php endif; ?>
			<?php endif; // exclude header ?>
            <div id="body" class="clearfix">
                <?php themify_layout_before(); //hook ?>
