<?php
/**
 * Template for fixed audio player.
 * Created by themify
 * @since 1.0.0
 */


if(isset($_GET['tb-preview'])){
		return;
}
$album = get_page_by_path( themify_get( 'setting-audio_player' ), OBJECT, 'album' );
?>

<div id="footer-player" class="jukebox">
	<div class="footer-player-inner pagewidth clearfix">
                <?php  $type = themify_get('setting-audio_player_type');?>
		<?php if((!$type || $type=='album') && has_post_thumbnail( $album->ID ) ) : ?>
			<?php
			$album_image = wp_get_attachment_image_src( get_post_thumbnail_id( $album->ID ) );
			$size = apply_filters( 'themify_theme_audio_player_image_size', array(
				'w' => 52,
				'h' => 52,
			) );
			$post_image = themify_get_image( 'src=' . $album_image[0] . '&ignore=true&w=' . $size['w'] . '&h=' . $size['h'] ); ?>
			<figure class="post-image clearfix">

				<a href="<?php echo get_permalink( $album->ID ); ?>"><?php echo $post_image; ?></a>

			</figure>

		<?php endif; // if there's a featured image?>

		<div class="tracklist<?php if($type):?> themify_player_<?php echo $type?><?php endif;?>">
			<?php
				$playlist = '';

				if( $type == 'songs' ) {
					for( $i = 1; $i <= 7; ++$i ) {
						$url = themify_get( 'setting-audio_player_songs_url_' . $i );
						if( ! $url ) continue;

						$img = themify_get( 'setting-audio_player_songs_img_' . $i );
						$title = themify_get( 'setting-audio_player_songs_title_' . $i );

						$playlist .= sprintf( '[themify_trac title="%s" src="%s" thumb_src="%s"]'
							, themify_https_esc( $title ) ? themify_https_esc( $title ) : ''
							, esc_url( themify_https_esc( $url ) ) ? esc_url( themify_https_esc( $url ) ) : ''
							, esc_url( themify_https_esc( $img ) ) ? esc_url( themify_https_esc( $img ) ) : ''

						);
					}
					$footer_autoplay = themify_check( 'setting-audio_player_autoplay_songs' ) ? 'preload="auto" autoplay="yes"' : '';
					$images = 1;
				} elseif( $type == 'code' ) {
					echo '<div class="footer-player-inner">' . do_shortcode( themify_get( 'setting-audio_player_code' ) ) . '</div>';
				} else{
					$tracks = get_post_meta( $album->ID, 'album_tracks', true );
					
					if( ! empty( $tracks ) ) {
						foreach( $tracks as $track ) {
							$playlist .= sprintf( '[themify_trac title="%s" src="%s"]'
								, $track['name'] ? $track['name'] : ''
								, esc_url( themify_https_esc( $track['file'] ) ) ? esc_url( themify_https_esc( $track['file'] ) ) : ''
							);
						}
					}

					$images = 'no';
					$footer_autoplay = themify_check( 'setting-audio_player_autoplay' ) ? 'preload="auto" autoplay="yes"' : '';
				}

				if( $playlist ) {
					echo do_shortcode( '[themify_playlist type="audio" tracklist="no" tracknumbers="no" images="'.$images.'" artist="no" style="themify" ' . $footer_autoplay . ' ]' . $playlist . '[/themify_playlist]' );
				}
			?>
		</div>

		<div class="buttons-console-wrap">
                    <a href="#" class="button-switch-player"></a>
		</div>

	</div>
</div>