;// Themify Theme Scripts - https://themify.me/

// Initialize object literals
var FixedHeader = {},
	ThemifyEqualHeight = {},
	ThemifyFullHeight = {},
	ThemifyTabs = {},
	ThemifyShortest = {},
	ThemifySlider = {},
	ThemifyVideo = {},
	ThemifyParallax = {};

/////////////////////////////////////////////
// jQuery functions					
/////////////////////////////////////////////
(function($){
	var isFullPageScroll;

	function addClickEventSongTitle() {
		// Bind event so when title is clicked, the song is played.
		$('body').on('click', '.track-title', function(e){
			e.preventDefault();
			$(this).closest('.track').find('.mejs__playpause-button').trigger('click');
		});
	}

	function addPlaylistScrollable() {
		var maxH = ( $(window).height() * 70 ) / 100;
		$('.album-lightbox .album-container').find('.album-container,.album-playlist').css({ maxHeight: maxH });
	}
	// Test if touch event exists //////////////////////////////
	function is_touch_device() {
		return $('body').hasClass('istouch');
	}
	// Fixed Header /////////////////////////
	FixedHeader = {
		headerHeight: 0,
		hasHeaderSlider: false,
		headerSlider: false,
		init: function() {
			FixedHeader.calculateHeaderHeight();
			var fixedHeader = $('body').hasClass('fixed-header');
			if( fixedHeader ) {
				if(isFullPageScroll){
					$('body').on('themify_onepage_afterload',function (event, $section, section_id){
						var $is_scroll = $('.section-post.active', $('div:not(.module-layout-part) > #loops-wrapper')).index()>0
						FixedHeader.activate($is_scroll);
						if($is_scroll){
							var $height =  FixedHeader.headerHeight;
							FixedHeader.calculateHeaderHeight();
							if($height !=FixedHeader.headerHeight){
								$('#pagewrap').css('paddingTop', Math.floor( FixedHeader.headerHeight ));
							}
						}
					});
				}
				else{
					FixedHeader.activate(false);
					$(window).on('scroll touchstart.touchScroll touchmove.touchScroll', function(e){
						FixedHeader.activate(false);
					});
				}
				$(window).load(function(){
					$('#pagewrap').css('paddingTop', Math.floor( FixedHeader.headerHeight ));
				}).on( 'debouncedresize', function(e) {
					if( e.originalEvent && e.originalEvent.isTrusted ){
						FixedHeader.calculateHeaderHeight();
						$('#pagewrap').css('paddingTop', Math.floor( FixedHeader.headerHeight ));
					}
				});
				if( $( '#gallery-controller' ).length > 0 ) {
					FixedHeader.hasHeaderSlider = true;
				}
				if(themifyScript.sticky_header){
					var img = '<img id="sticky_header_logo" src="' + themifyScript.sticky_header.src + '"';
						if(themifyScript.sticky_header.imgwidth){
							img+=' width="'+themifyScript.sticky_header.imgwidth+'"';
						}
						if(themifyScript.sticky_header.imgheight){
							img+=' height="'+themifyScript.sticky_header.imgheight+'"';
						}
						img+='/>';
					$('#site-logo a').prepend(img);
				}
				$( 'body' ).on( 'announcement_bar_position announcement_bar_scroll_on_after', FixedHeader.calculateHeaderHeight );
			}
		},
		activate: function($hard) {
			var $window = $(window),
				scrollTop = $window.scrollTop(),
				$headerWrap = $('#headerwrap');
			if($hard || (scrollTop >= FixedHeader.headerHeight )) {
				if ( ! $headerWrap.hasClass( 'fixed-header' ) ) {
					FixedHeader.scrollEnabled();
				}
			} else if ( $headerWrap.hasClass( 'fixed-header' ) ) {
				FixedHeader.scrollDisabled();
			}
		},
		scrollDisabled: function() {
			$('#headerwrap').removeClass('fixed-header');
			$('#header').removeClass('header-on-scroll');
			$('body').removeClass('fixed-header-on');

			/**
			 * force redraw the header
			 * required in order to calculate header height properly after removing fixed-header classes
			 */
			$('#headerwrap').hide();
			$('#headerwrap')[0].offsetHeight;
			$('#headerwrap').show();

			FixedHeader.calculateHeaderHeight();
			$('#pagewrap').css('paddingTop', Math.floor( FixedHeader.headerHeight ));
			if ( FixedHeader.hasHeaderSlider && 'object' === typeof $('#headerwrap').data('tb_backstretch') ) {
				$('#headerwrap').data('tb_backstretch').resize();
				$('#gallery-controller .slides').trigger( 'next' );
			}
		},
		scrollEnabled: function() {
			$('#pagewrap').css('paddingTop', Math.floor( FixedHeader.headerHeight ));
			$('#headerwrap').addClass('fixed-header');
			$('#header').addClass('header-on-scroll');
			$('body').addClass('fixed-header-on');
			if ( FixedHeader.hasHeaderSlider && 'object' === typeof $('#headerwrap').data('tb_backstretch') ) {
				$('#headerwrap').data('tb_backstretch').resize();
				$('#gallery-controller .slides').trigger( 'next' );
			}
		},
		calculateHeaderHeight : function(){
			FixedHeader.headerHeight = $('#headerwrap').outerHeight(true);
		}
	};
	
	// Equal height for Content and Sidebar ////////////////////////
	ThemifyEqualHeight = {
		$content: $('#content'),
		$sidebar: $('#sidebar'),
		contentMarginTop: 10,
		smallScreen: 0,
		resizeRefresh: 0,

		init: function( smallScreen, resizeRefresh ) {
			if(this.$sidebar.length>0){
				this.smallScreen = parseInt( smallScreen, 10 );
				this.resizeRefresh = parseInt( resizeRefresh, 10 );
				this.contentMarginTop = parseInt( this.$content.css( 'margin-top' ).replace(/-/, '').replace(/px/, ''), 10 );

				if ( ! this.isSmallScreen() ) {
					this.setHeights();
				}

				if( !( 'orientation' in window ) ) {
					$(window).on('debouncedresize',function() {
						if ( ! ThemifyEqualHeight.isSmallScreen() ) {
							ThemifyEqualHeight.setHeights();
						} else {
							ThemifyEqualHeight.$content.css( 'height', 'auto' );
							ThemifyEqualHeight.$sidebar.css( 'height', 'auto' );
						}
					});
				}
			}
		},

		isSmallScreen: function() {
			return $(window).width() <= this.smallScreen;
		},

		setHeights: function() {
			if ( Math.floor( this.$content.innerHeight() ) - this.contentMarginTop > Math.floor( this.$sidebar.innerHeight() ) ) {
				this.$sidebar.innerHeight( Math.floor( this.$content.innerHeight() ) );
			} else {
				this.$content.innerHeight( Math.floor( this.$sidebar.innerHeight() ) + this.contentMarginTop );
			}
		}
	};

	ThemifyTabs = {
		init: function( tabset, suffix ) {
			$( tabset ).each(function(){
				var $tabset = $(this);

				$('.htab-link:first', $tabset).addClass('current');
				$('.btab-panel:first', $tabset).show();

				$( $tabset ).on( 'click', '.htab-link', function(e){
					e.preventDefault();

					var $a = $(this),
						tab = '.' + $a.data('tab') + suffix,
						$tab = $( tab, $tabset );

					$( '.htab-link', $tabset ).removeClass('current');
					$a.addClass('current');

					$( '.btab-panel', $tabset ).hide();
					$tab.show();

					$(document.body).trigger( 'themify-tab-switched', $tab );
				});
			});
		}
	};

	ThemifyShortest = {
		init: function($context, area) {
			this.setShortest( $context, area );
			$(window).on('debouncedresize', function(){
				ThemifyShortest.setShortest( $context, area );
			});
		},

		setShortest: function( $context, area ) {
			var imgs = $( '.post-image img', $context );
			
			if( imgs.length ) {
				var shortestImg = 999999;

				imgs.imagesLoaded().always( function() {
					imgs.each( function () {
						var $img = $( this ),
							imgHeight = $img.outerHeight();
							shortestImg = shortestImg <= imgHeight ? shortestImg : imgHeight;
							$img.css( 'marginTop', -Math.abs( imgHeight - shortestImg ) / 2 );
					});
					if ( 600 >= $( window ).width() ) {
						$context.css( 'height', '' );
					} else {
						$context.height( shortestImg );
					}
					
					if ( 'video' == area ) {
						$( '.slideshow, .caroufredsel_wrapper, .carousel-prev, .carousel-next', $context ).height( shortestImg );
					} else {
						$( '.post-image', $context ).height( shortestImg );
					}
				});
			}
		}
	};

	ThemifySlider = {
		recalcHeight: function(items, $obj) {
			var heights = [], height;
			$.each( items, function() {
				heights.push( $(this).outerHeight(true) );
			});
			height = Math.max.apply( Math, heights );
			$obj.closest('.carousel-wrap').find( '.caroufredsel_wrapper, .slideshow' ).each(function(){
				$(this).outerHeight( height );
			});
		},
		// Initialize carousels
		create: function(obj) {
			var self = this;
			obj.each(function() {
				var $this = $(this),
					$sliderWrapper = $this.closest('.loops-wrapper.slider');
				// Start Carousel
				$this.carouFredSel({
					responsive : true,
					prev : $this.data('slidernav') && 'yes' == $this.data('slidernav') ? '#' + $this.data('id') + ' .carousel-prev' : '',
					next: $this.data('slidernav') && 'yes' == $this.data('slidernav') ? '#' + $this.data('id') + ' .carousel-next' : '',
					pagination : {
						container : $this.data('pager') && 'yes' == $this.data('pager') ? '#' + $this.data('id') + ' .carousel-pager' : ''
					},
					circular : true,
					infinite : true,
					swipe: true,
					scroll : {
						items : $this.data('scroll')? parseInt( $this.data('scroll'), 10 ) : 1,
						fx : $this.data('effect'),
						duration : parseInt($this.data('speed')),
						onBefore: function() {
							var pos = $(this).triggerHandler( 'currentPosition' );
							$('#' + $this.data('thumbsid') + ' a').removeClass( 'selected' );
							$('#' + $this.data('thumbsid') + ' a.itm'+pos).addClass( 'selected' );
							var page = Math.floor( pos / 3 );
							$('#' + $this.data('thumbsid')).trigger( 'slideToPage', page );
						}
					},
					auto : {
						play : !!('off' != $this.data('autoplay')),
						timeoutDuration : 'off' != $this.data('autoplay') ? parseInt($this.data('autoplay')) : 0
					},
					items : {
						visible : {
							min : 1,
							max : $this.data('visible')? parseInt( $this.data('visible'), 10 ) : 1
						},
						width : 222,
						height: 'variable'
					},
					onCreate : function( items ) {

						$(window).on('debouncedresize',function() {
							self.recalcHeight(items.items, $this);
						});

						$this.closest('.slideshow-wrap').css({
							'visibility' : 'visible',
							'height' : 'auto'
						});
						$this.closest('.loops-wrapper.slider').css({
							'visibility' : 'visible',
							'height' : 'auto'
						});

						if ( $sliderWrapper.hasClass('video') ) {
							ThemifyShortest.init( $this );
						}
						if ( $this.data('slidernav') && 'yes' != $this.data('slidernav') ) {
							$('#' + $this.data('id') + ' .carousel-next').remove();
							$('#' + $this.data('id') + ' .carousel-prev').remove();
						}
						$(window).resize();
						$('.slideshow-slider-loader', $this.closest('.slider')).remove(); // remove slider loader
					}
				});
				// End Carousel

			});
		},

		isSmallScreen: function() {
			return $(window).width() <= 905;
		},

		// Initialize carousels
		createGallery: function(obj) {

			var waitForFinalEvent = (function () {
				var timers = {};
				return function (callback, ms, uniqueId) {
					if (timers[uniqueId]) {
						clearTimeout (timers[uniqueId]);
					}
					timers[uniqueId] = setTimeout(callback, ms);
				};
			})();

			$(window).resize(function () {
				waitForFinalEvent(function(){
					obj.each(function() {
						if ( ThemifySlider.isSmallScreen() ) {
							$(this).trigger('configuration', {
									items : {
										visible : {
											min : 1,
											max : 1
										},
										width : 400,
										height: 'variable'
									}
								},
								null,
								true
							);
							$('.type-gallery', $(this)).css({
								'opacity': 1,
								'margin': 0,
								'left': 'auto'
							});
							$(this).trigger('prev');
						} else {
							$(this).trigger('configuration', {
									items : {
										visible : {
											min : 3,
											max : 3
										},
										width : 400,
										height: 'variable'
									}
								},
								null,
								true
							);
							$(this).trigger('next');
							$(this ).delay(500).trigger('next');
						}
					});
				}, 1000, 'themifyuniqueidresize');
			});

			obj.each(function() {
				var $this = $(this),
					$sliderWrapper = $this.closest( '.loops-wrapper.slider' ),
					$builderRow = $this.closest( '.themify_builder_row' ),
					isFirstColor = 1,
					thisSpeed =  parseInt($this.data('speed'), 10 ),
					sliderWidth = $sliderWrapper.width(),
					leftCSS = {
						'width': Math.floor( sliderWidth / 1.5 ),
						'marginLeft':  0,
						'marginRight': -Math.floor( sliderWidth / 2.6 ),
						'opacity': 0.5
					},
					bigCSS = {
						'width': Math.floor( sliderWidth / 1.2 ),
						'marginLeft':  -Math.floor( sliderWidth / 5 ),
						'marginRight': -Math.floor( sliderWidth / 5 ),
						'opacity': 1
					},
					rightCSS = {
						'width': Math.floor( sliderWidth / 1.5 ),
						'marginLeft':  0,
						'marginRight': 0,
						'opacity': 0.5
					},
					aniOpts = {
						queue: false,
						duration: thisSpeed/1.5
					},
					aniOptsBig =  {
						queue: false,
						duration: thisSpeed
					}
					;

				$this.carouFredSel({
					responsive : true,
					prev : '#' + $this.data('id') + ' .carousel-prev',
					next : '#' + $this.data('id') + ' .carousel-next',
					pagination : {
						container : '#' + $this.data('id') + ' .carousel-pager'
					},
					circular : true,
					infinite : true,
					swipe: true,
					scroll : {
						items : 1,
						fx : 'scroll',
						duration : thisSpeed,
						onBefore : function( items ) {
							var newItems = items.items.visible;
							if ( ! ThemifySlider.isSmallScreen() ) {
								sliderWidth = $sliderWrapper.width();
								leftCSS = {
									'width': Math.floor( sliderWidth / 1.5 ),
									'marginLeft':  0,
									'marginRight': -Math.floor( sliderWidth / 3 ),
									'opacity': 0.5
								};
								bigCSS = {
									'width': Math.floor( sliderWidth / 1.2 ),
									'marginLeft':  -Math.floor( sliderWidth / 4.5 ),
									'marginRight': -Math.floor( sliderWidth / 5 ),
									'left': -Math.floor( sliderWidth / 32 ),
									'opacity': 1
								};
								rightCSS = {
									'width': Math.floor( sliderWidth / 1.5 ),
									'marginLeft':  0,
									'marginRight': 0,
									'opacity': 0.5
								};

								newItems.eq(0)
									.addClass('gallerySlide')
									.removeClass('galleryBigSlide')
									.animate(leftCSS, aniOpts);

								newItems.eq(1)
									.addClass('galleryBigSlide')
									.removeClass('gallerySlide')
									.animate(bigCSS, aniOptsBig);

								newItems.eq(2)
									.addClass('gallerySlide')
									.removeClass('galleryBigSlide')
									.animate(rightCSS, aniOpts);
							}

						},
						onAfter : function( items ) {
							var newItems = items.items.visible;
							var $first = $('.post-image img', newItems.filter(':visible').eq(1));
							$sliderWrapper.css( 'background-color', $first.data('color') );
							$builderRow.css( 'background-color', $first.data('color') );
						}
					},
					auto : {
						play : !!('off' != $this.data('autoplay')),
						timeoutDuration : 'off' != $this.data('autoplay') ? parseInt($this.data('autoplay')) : 0
					},
					items : {
						visible : {
							min : ! ThemifySlider.isSmallScreen() ? 3 : 1,
							max : ! ThemifySlider.isSmallScreen() ? 3 : 1
						},
						width : 400,
						height: 'variable'
					},
					onCreate : function(items) {
						items = items.items;
						if ( ! ThemifySlider.isSmallScreen() ) {
							items.addClass('gallerySlide').removeClass('galleryBigSlide').css({
								'width': '',
								'marginLeft': '',
								'marginRight': ''
							});

							items.eq(0).animate(leftCSS, aniOpts);

							items.eq(1).addClass('galleryBigSlide').removeClass('gallerySlide').animate(bigCSS, aniOptsBig);

							items.eq(2).animate(rightCSS, aniOpts);
						}
						$( '.post-image img', $this ).each(function(){
							var $img = $(this),
								src = $img.attr('src' ),
								imageURL = '';
							if ( src.match(/(img\.php)/) ) {
								src = src.split('?src=');
								src = src[1].split('&');
								imageURL = src[0];
							} else {
								imageURL = src;
							}
							RGBaster.colors( imageURL, function(data){
								$img.attr('data-color', data.dominant);

								if ( 0 == isFirstColor && 'undefined' != typeof data.dominant ) {
									isFirstColor = false;
									$sliderWrapper.css( 'background-color', data.dominant );
									$builderRow.css( 'background-color', data.dominant );
								}
								isFirstColor--;
							});
						});

						$this.closest('.slideshow-wrap').css({
							'visibility' : 'visible',
							'height' : 'auto'
						});
						$this.closest('.loops-wrapper.slider').css({
							'visibility' : 'visible',
							'height' : 'auto'
						});
						$('.carousel-next, .carousel-prev', $this.closest('.slideshow-wrap')).empty().show();
						$('.carousel-pager', $this.closest('.slideshow-wrap')).remove();
						
						$('.slideshow-slider-loader', $this.closest('.slider')).remove(); // remove slider loader
					}
				});
			});
		}
	};


	ThemifyVideo = {
		video: [],
		didResize: false,
		ratio: themifyScript.videoRatio,

		init: function( $object ) {
			$object.on('loadeddata', function(e){
				var $video = $(this),
					height = Math.floor( $video.width() / ThemifyVideo.ratio ),
					css = 'width: 100%; height: ' + height + 'px !important;';

				$video.css( 'cssText', css);
				$video.closest('.mejs__container').css( 'cssText', css );

				$('.mejs__layer', $video.closest('.mejs__inner') ).each(function(){
					var $el = $(this);
					$el.attr( 'style', $el.attr('style').replace(/height:(.*?);/, 'height:' + height + 'px !important;') );
				});

				ThemifyVideo.video['#'+$video.attr('id')] = $video;
			});

			this.setHeight();

		},

		onResize: function ( c, t ) {
			onresize = function () {
				clearTimeout( t );
				t = setTimeout( c, 100 );
			};
			return c;
		},

		setHeight: function() {

			this.onResize(function(){

				for( var object in ThemifyVideo.video ) {
					var $video = ThemifyVideo.video[object],
						height = Math.floor( $video.width() / ThemifyVideo.ratio ),
						css = 'width: 100%; height: ' + height + 'px !important;';

					$video.css( 'cssText', css);
					$video.closest('.mejs__container').css( 'cssText', css );

					$('.mejs__layer', $video.closest('.mejs__inner') ).each(function(){
						var $el = $(this);
						$el.attr( 'style', $el.attr('style').replace(/height:(.*?);/, 'height:' + height + 'px !important;') );
					});
				}

			});
		}
	};

	ThemifyParallax = {
		init: function(){
			this.sliderWrapper = ['.single #pagewrap .featured-area'];
			this.lastScrollPoint = 0;

			if(!themifyScript.parallaxHeader) return;
			this.onLoaded();
		},

		onLoaded: function(){
			var self = ThemifyParallax, resizeId;
			$('body').addClass('parallax-header');

			$.each(self.sliderWrapper, function(i,v){
				var el = $(v);
				if(el.length > 0)	{
					var $layoutWrap = $('#layout');
					$layoutWrap.css('marginTop', el.height() );
					el.css('top', $('#headerwrap').height());
					
					$(window).on('scroll touchmove.touchScroll orientationchange', function(){
						self.transition(v);
					}).on('debouncedresize', function(){
						$layoutWrap.css('marginTop', el.height() );
						el.css('top', $('#headerwrap').height());
					});
				}
			});

			setTimeout(function(){
				$(window).resize();
			}, 500);
		},

		transition: function(obj){
			var self = ThemifyParallax, $obj = $(obj), $window = $(window), 
				scrollTop = $window.scrollTop(),
				activePoint = Math.ceil($window.height() / 2), n;
			
			if ( scrollTop > activePoint ) {
				n = Math.ceil( scrollTop + (self.lastScrollPoint - scrollTop) / 2);
			} else {
				n = Math.ceil(scrollTop);
				self.lastScrollPoint = scrollTop;
			}
			$obj.css({
				'-webkit-transform' : 'translateY(-'+n+'px)',
				'-moz-transform' : 'translateY(-'+n+'px)',
				'-o-transform' : 'translateY(-'+n+'px)',
				'-ms-transform' : 'translateY(-'+n+'px)',
				'transform' : 'translateY(-'+n+'px)'
			});
		}
	};

	// Set full-height rows to viewport height
	ThemifyFullHeight = {
		selector: '',
		init: function( selector ){
			this.selector = selector;
			$(window).on('debouncedresize',function(){
				ThemifyFullHeight.resize()
			});
		},
		resize: function() {
			$(this.selector).each(function(){
				$(this).css({
					'height': $(window).height()
				});
			});
		}
	};
	
	$(function(){
	
		isFullPageScroll = ('undefined' !== typeof $.fn.fullpage) && (themifyScript.fullPageScroll ? true : false) && ($('.type-section').length > 0);
	
		var $body = $('body'), 
			$header = $('#header'),
			$backTop = $('.floating-back-top');
		
		if(!Themify.is_builder_active ) {
			FixedHeader.init();
		}
		// Set full-height rows to viewport height
		if ( navigator.userAgent.match(/(iPad)/g) ) {
			ThemifyFullHeight.init( '.themify_builder_row.full-height' );
		}

		// Scroll to row when a menu item is clicked.
		if ( 'undefined' !== typeof $.fn.themifyScrollHighlight ) {
			$body.themifyScrollHighlight();
		}

		// Set shortest height
		$('.loops-wrapper.video:not(.slider)').not('.list-post, .list-thumb-image, .list-large-image').each(function(){
			ThemifyShortest.init( $(this), 'grids' );
		});

		/////////////////////////////////////////////
		// Back to top
		/////////////////////////////////////////////
		if ($backTop.length == 0) {
			$backTop = $(themifyScript.back_top).on('click', function(e) {
				e.preventDefault();
				$('body,html').animate({ scrollTop: 0 }, 800);
			} );
			$('body').append($backTop);
		}
		$(window).on('scroll touchstart.touchScroll touchmove.touchScroll', function() {
			if ($backTop.length == 0) {
				return;
			}
			if ($backTop.length > 0 && window.scrollY < 10) {
				$backTop.addClass('floating-back-top-hide');
			} else {
				$backTop.removeClass('floating-back-top-hide');
			}
		});

		/////////////////////////////////////////////
		// Toggle main nav on mobile
		/////////////////////////////////////////////
		if (is_touch_device() && typeof $.fn.themifyDropdown != 'function') {
			Themify.LoadAsync(themify_vars.url + '/js/themify.dropdown.js', function () {
				$('#main-nav').themifyDropdown();
			});
		}

		if ( $body.hasClass( 'header-minbar' ) || $body.hasClass( 'header-leftpane' ) ) {
			/////////////////////////////////////////////
			// Side Menu for header-minbar and header-leftpane
			/////////////////////////////////////////////
			$('#menu-icon').themifySideMenu({
				close: '#menu-icon-close',
				side: 'left'
			});
		}
		else if ( $body.hasClass( 'header-slide-out' ) || $body.hasClass( 'header-rightpane' ) ){
			$('#menu-icon').themifySideMenu({
				close: '#menu-icon-close',
				side: 'right'
			});
		}
		else {
			$('#menu-icon').themifySideMenu({
				close: '#menu-icon-close'
			});

			var $overlay = $( '.body-overlay' );
			$body.on( 'sidemenushow.themify', function () {
				$overlay.addClass( 'body-overlay-on' );
			}).on( 'sidemenuhide.themify', function () {
				$overlay.removeClass( 'body-overlay-on' );
			}).on( 'click.themify touchend.themify', '.body-overlay', function () {
				$( '#menu-icon' ).themifySideMenu( 'hide' );
			});
			$(window).on('debouncedresize',function(){
				if( $( '#menu-icon' ).is(':visible') && $('#mobile-menu').hasClass('sidemenu-on')){
					$overlay.addClass( 'body-overlay-on' );
				} else {
					$overlay.removeClass( 'body-overlay-on' );
				}
				// Reset slide nav width
				if ($(window).width() > 780) {
					$body.removeAttr('style');
					$('#main-nav').removeClass('scroll-nav');
				} else {
					$('#main-nav').addClass('scroll-nav');
				}
			});
		}
		
		$body.on( 'click.themify touchend.themify', '.body-overlay', function () {
			$( '#menu-icon' ).themifySideMenu( 'hide' );
		});
		
		/* SET NICESCROLL HEADER */
		if ( $body.hasClass( 'header-minbar' ) || $body.hasClass( 'header-leftpane' ) || $body.hasClass( 'header-slide-out' ) || $body.hasClass( 'header-rightpane' ) || $body.hasClass( 'header-overlay' ) ) {

			var nicescrollMenu = function() {
				if ( 'undefined' !== typeof $.fn.niceScroll && ! is_touch_device() ) {
					var $niceScrollTarget = $header;
					if ( $body.hasClass( 'header-minbar' ) || $body.hasClass( 'header-slide-out' ) ) {
						$niceScrollTarget = $('#mobile-menu');
					}
					$niceScrollTarget.niceScroll();
					$body.on( 'sidemenushow.themify', function(){
						setTimeout(function(){
							$niceScrollTarget.getNiceScroll().resize();
						}, 200);
					} );
				}
			};

			if( $header.length ) {
				if( typeof $.fn.niceScroll !== 'function' ) {
					Themify.LoadAsync(themifyScript.themeURI + '/js/jquery.nicescroll.min.js', nicescrollMenu );
				} else {
					nicescrollMenu();
				}
			}

		}
		
		if ( !($body.hasClass( 'header-overlay' )) ) {

			$("#main-nav li.menu-item-has-children > a, #main-nav li.page_item_has_children > a").after(
				"<span class='child-arrow'></span>"
			);
			$('#main-nav li.menu-item-has-children > .child-arrow, #main-nav li.page_item_has_children > .child-arrow').click(function(){
				$(this).toggleClass('toggle-on');
				return true;
			});

		}
		
		if ( $body.hasClass( 'header-overlay' ) ) {
			var $sideMenuWrap = $('#mobile-menu');
			$sideMenuWrap.wrapInner('<div class="overlay-menu-sticky"></div>' );
		}

				 
		if ( $(window).width() < 780 ) {
			$('#main-nav').addClass('scroll-nav');
		}
		
		/////////////////////////////////////////////
		// Header Overlay toggle-able dropdown
		/////////////////////////////////////////////
		// Set Dropdown Arrow
		$(".header-overlay #main-nav li.menu-item-has-children > a, .header-overlay #main-nav li.page_item_has_children > a").after(
			"<span class='child-arrow'></span>"
		);	
		$('.header-overlay #main-nav li.menu-item-has-children > .child-arrow, .header-overlay #main-nav li.page_item_has_children > .child-arrow').click(function(e){
			e.preventDefault();
			e.stopPropagation();
			$(this).toggleClass('toggle-on').next('div, ul').toggle('fast'); 
			return true;
		});
		
		if ($body.hasClass('header-overlay')) {
			$('#headerwrap #searchform-wrap').insertAfter('#headerwrap .social-widget');
		}

		// Initialize Tabs for Widget ///////////////
		ThemifyTabs.init( '.event-posts', '-events' );

		// Initialize video aspect ratio
		ThemifyVideo.init( $( 'video.wp-video-shortcode' ) );
	});

	// WINDOW LOAD
	$(window).load(function() {
		var is_trigger = typeof ThemifyAjax!=='undefined' && ThemifyAjax.trigger,$body = $('body');
		// Carousel initialization //////////////////
                var carouselCallBack = function( $context ) {
                    $context = $context || $body;
                    ThemifySlider.create( $( '.loops-wrapper.album .slideshow', $context ) );
                    ThemifySlider.create( $( '.loops-wrapper.press .slideshow', $context ) );
                    ThemifySlider.create( $( '.loops-wrapper.event .slideshow', $context ) );
                    ThemifySlider.create( $( '.loops-wrapper.video .slideshow', $context ) );
                    ThemifySlider.createGallery( $( '.loops-wrapper.gallery .slideshow', $context ) );
                };
                var carouselInit = function( $context ) {
                    if(!$.fn.carouFredSel){
                       Themify.LoadAsync(themify_vars.url+'/js/carousel.min.js',function(){
                           carouselCallBack($context);
                       },null,null,function(){
						   return typeof $.fn.carouFredSel!=='undefined';
					   });
                    }
                    else{
                       carouselCallBack($context);
                    }    
                };
                if(!Themify.is_builder_active ){
                    if($('.loops-wrapper .slideshow').length>0){
                       carouselInit();
                    }
                }
                else{
                    $body.on('builder_toggle_frontend', function(event, is_edit){console.log('eeee')
                            if(mejs && mejs.players && mejs.players.mep_0){
                                    //mejs.players.mep_0.pause();
                                    $('.button-switch-player').trigger('click');
                            }
                    }).on('builder_load_module_partial', function(event, $newElems){console.log('vvvv')
                            carouselInit($newElems);
                    });
                }
		/////////////////////////////////////////////
		// Single Gallery Post Type
		/////////////////////////////////////////////
		if ( $('body.single-gallery').length > 0 && 'undefined' !== typeof $.fn.masonry ) {
			$('.masonry').each(function(){
				var $this = $(this);
				$(this).imagesLoaded().always(function (instance) {
					$this.masonry({
						'itemSelector': '.item'
					});
				})
			});
			
		}

		// Initialize internal Like button ////////////////
		$(document).on('click', '.likeit', function(e) {
			e.preventDefault();
			var $self = $(this),
				post_id = $self.data('postid');
			$.post(
				themifyScript.ajax_url,
				{
					action: 'themify_likeit',
					nonce : themifyScript.ajax_nonce,
					post_id: post_id
				},
				function(response) {
					data = $.parseJSON(response);
					if( 'new' == data.status ) {
						$('.count', $self).fadeOut('slow', function(){
							$(this).text(data.likers).fadeIn('slow');
						});
						$(this).addClass('likeit_done');
					}
				}
			);
		});

		// Set content and sidebar equal height ///////////
		ThemifyEqualHeight.init(themifyScript.smallScreen, themifyScript.resizeRefresh);

		// Parallax Header ///////////
		if ( 'undefined' !== typeof ThemifyParallax ) {
			ThemifyParallax.init();
		}

		// Add click event to song title in playlist //////
		addClickEventSongTitle();

		// make gallery overlay clickable
		$body.on( 'click', '.loops-wrapper.grid4.gallery .post-image + .post-content, .loops-wrapper.grid3.gallery .post-image + .post-content, .loops-wrapper.grid2.gallery .post-image + .post-content', function(e){
			if( $( e.target ).is( 'a' ) || $( e.target ).parent().is( 'a' ) ) return;
			var $link = $( this ).find( '.post-title a' );
			if( $link.length > 0 && ! $link.hasClass( 'themify_lightbox' ) &&  ! $link.hasClass( 'themify-lightbox' ) ) {
				if(!themifyScript.is_ajax){
                                    window.location = $link.attr( 'href' );
				}
				else{
                                    $link.trigger('click');
				}
			}
		});

		// Trigger video lightbox when overlay is clicked
		$('.loops-wrapper.video.grid4, .loops-wrapper.video.grid3, .loops-wrapper.video.grid2, .loops-wrapper.video.slider').each(function(){
			var $self = $(this);
			$self.find('.post-content').prepend('<div class="js-click"></div>');
			$self.find('.js-click').each(function(){
				$(this).on('click', function(e){
					e.preventDefault();
					$(this).closest('article').find('.themify_lightbox').trigger('click');
				});
			});
		});
		if ( $('.wp-audio-shortcode').length > 0 ) {
			$('.wp-audio-shortcode').on('play playing', function(e){
				var $this = $(this);
				$this.closest('.mejs__inner').find('.mejs__currenttime').addClass('visible-currenttime');
			} );
		}

		// Trigger album lightbox when overlay is clicked
		$('.loops-wrapper.album.grid4, .loops-wrapper.album.grid3, .loops-wrapper.album.grid2, .loops-wrapper.album.slider').each(function(){
			$(this).find('.post-content').each(function(){
				$(this).on('click', function(e){
					if(!$(e.target).hasClass('album-title-link')){
						if( themifyScript.albumLightbox && 'true' == themifyScript.albumLightbox ) {
							$(this).prev().find('.themify-lightbox').trigger('click');
						} else{
							var $link =  $( this ).closest( '.post' ).find( '.post-title a' );
							if(!themifyScript.is_ajax){
								window.location = $link.attr( 'href' );
							}
							else{
								$link.trigger('click');
							}
						}
					}
				});
			});
		});
		if ( themifyScript.albumLightbox && 'true' == themifyScript.albumLightbox ) {
			// Themibox - Themify Lightbox ////////////////////
			if ( 'undefined' !== typeof Themibox ) {
				if ( ! $body.hasClass('single-album') ) {
					Themibox.init();
				}
				$body.on('themiboxloaded', function(){
					if ( 'undefined' != typeof mejs ) {
						var settings = {};

						if ( $( document.body ).hasClass( 'mce-content-body' ) ) {
							return;
						}

						if ( typeof _wpmejsSettings !== 'undefined' ) {
							settings.pluginPath = _wpmejsSettings.pluginPath;
						}

						settings.success = function (mejs) {
							var autoplay = mejs.attributes.autoplay && 'false' !== mejs.attributes.autoplay;
							if ( 'flash' === mejs.pluginType && autoplay ) {
								mejs.addEventListener( 'canplay', function () {
									mejs.play();
								}, false );
							}
						};

						$('.wp-audio-shortcode, .wp-video-shortcode').filter(function(){
							return $(this).closest('.module-audio').length <= 0;
						}).mediaelementplayer( settings );
					}

					// make playlist scrollable
					addPlaylistScrollable();
					var resizeId;
					$(window).on('resize.playlistScrollable', function(){
						clearTimeout(resizeId);
						resizeId = setTimeout(addPlaylistScrollable, 500);
					});
				}).on( 'themiboxclosed', function(){
					$(window).off('resize.playlistScrollable');
				});
			}
		}
                if(!is_trigger){
                    // Fixed audio player
                    var $footerPlayer = $('#footer-player');
                    if ( $footerPlayer.length > 0 ) {
                            // Toggle player
                            $footerPlayer.on('click', '.button-switch-player', function(e){
								e.preventDefault();
								$(this).closest('#footer-player').toggleClass('collapsed');
								if ($(this).closest('#footer-player').hasClass( "collapsed" )) {
									$('body').addClass('footer-collapsed');	
								}
								else {
									$('body').removeClass('footer-collapsed');	
								}
									
                            });

                            // Wrap volume/mute/volume slider in div to move them
                            $footerPlayer.find('.mejs__volume-button, .mejs__horizontal-volume-slider').wrapAll('<div class="themify-player-volume" />');

                            // Start playing footer player when it's ready
                            if ( themifyScript.autoplay && 'autoplay' == themifyScript.autoplay ) {
                                    $footerPlayer.find('audio').on( 'canplay', function () {
                                            $(this).trigger('play');
                                    });
                            }
                    }
                }

		// EDGE MENU //
		$("#main-nav li").on('mouseenter mouseleave dropdown_open', function (e) {
			if ($('ul', this).length) {
				var elm = $('ul:first', this),
				 off = elm.offset(),
				 l = off.left,
				 w = elm.width(),
				 docW = $(window).width(),
				 isEntirelyVisible = (l + w <= docW);

				if (!isEntirelyVisible) {
					$(this).addClass('edge');
				} else {
					$(this).removeClass('edge');
				}

			}
		});
		
		// Header Video
		var $videos = $('#headerwrap[data-fullwidthvideo]');
		function ThemifyBideo(){
			$videos.each(function(i){
				var url = $(this).data('fullwidthvideo');
				if(url){
				   $(this).ThemifyBgVideo({
					   url: url,
					   doLoop: true,
					   ambient:true,
					   id: i
				   });
			   }
		   });
		}
		if ($videos.length>0 && !is_touch_device()) {
			if(typeof $.fn.ThemifyBgVideo === 'undefined'){
				 Themify.LoadAsync(
					themify_vars.url + '/js/bigvideo.js',
					ThemifyBideo,
					null,
					null,
					function () {
						return ('undefined' !== typeof $.fn.ThemifyBgVideo);
					}
				);
			}
			else{
			   ThemifyBideo();
			}
		}

		if ( is_touch_device() && $videos.length ) {

			$videos.each(function (key) {
				var videoSrc = $(this).data('fullwidthvideo'),
					videoEl;

				if ( videoSrc ) {

					if ( videoSrc.indexOf('.mp4') >= 0 && videoSrc.indexOf(window.location.hostname) >= 0 ){

						$(this).addClass('themify-responsive-video-background');
						videoEl = $('<div class="header-video-wrap">'
							+'<video class="responsive-video header-video  video-'+key +'" muted="true" autoplay="true" loop="true" playsinline="true" >' +
							'<source src="' + videoSrc + '" type="video/mp4">' +
							'</video></div>')
						videoEl.prependTo($(this));
					}
				}
			});

		}
	});
	
})(jQuery);
